Subject: Re: bug#5603: 23.1.90; value of CPP not used in configure script

From: Glenn Morris <[email-masked]>
Date: Wed, 16 May 2012 03:25:26 -0400

Peter Dyballa wrote:

> Trying to use the LLVM variant of GCC like this:
>
> 	env PATH=/Developer/usr/bin:/sw/bin:$PATH ./configure
> --without-sound --without-dbus --without-pop --with-ns
> --disable-ns-self-contained --x- 
> libraries=/usr/X11/libs --x-includes=/usr/X11/include/X11 --enable-
> locallisppath=/Library/Application\ Support/Emacs/calendar23:/Library/
> Application\ Support/Emacs CC=llvm-gcc-4.2 CPP=llvm-cpp-4.2
[...]
> 	checking how to run the C preprocessor... llvm-gcc-4.2 -E
> -no-cpp-precomp -I/sw/include -L/sw/lib
[...]
> There is also the question whether the option "-no-cpp-precomp" really
> is necessary on Mac OS X 10.5 or 10.6. The version of GCC 4.2 LLVM
> uses does not recognise this option:
>
> 	powerpc-apple-darwin9-llvm-gcc-4.2: unrecognized option
> -no-cpp-
> precomp'

I can't tell what the issue is supposed to be here.
The "also the question" part is bug#9755.

Was there something else?

If not, this is a duplicate of bug#9755 (which I think is fixed in the
trunk now).